AWS IoT Device SDK C++ v2: Aws::Iotshadow::NamedShadowDeltaUpdatedSubscriptionRequest Class Reference

AWS IoT Device SDK C++ v2 1.14.0 AWS IoT Device SDK C++ v2

Public Member Functions | Public Attributes | List of all members
Aws::Iotshadow::NamedShadowDeltaUpdatedSubscriptionRequest Class Referencefinal

`#include <NamedShadowDeltaUpdatedSubscriptionRequest.h>`

## Public Member Functions
| NamedShadowDeltaUpdatedSubscriptionRequest ()=default
| NamedShadowDeltaUpdatedSubscriptionRequest (const Crt::JsonView &doc)
NamedShadowDeltaUpdatedSubscriptionRequest & | operator= (const Crt::JsonView &doc)
void | SerializeToObject (Crt::JsonObject &doc) const

## Public Attributes
Aws::Crt::Optional< Aws::Crt::String > | ThingName
Aws::Crt::Optional< Aws::Crt::String > | ShadowName

## Detailed Description

Data needed to subscribe to a device's NamedShadowDelta events.

## Constructor & Destructor Documentation

## ◆ NamedShadowDeltaUpdatedSubscriptionRequest() [1/2]

Aws::Iotshadow::NamedShadowDeltaUpdatedSubscriptionRequest::NamedShadowDeltaUpdatedSubscriptionRequest | ( |  | ) |
| default

## ◆ NamedShadowDeltaUpdatedSubscriptionRequest() [2/2]

Aws::Iotshadow::NamedShadowDeltaUpdatedSubscriptionRequest::NamedShadowDeltaUpdatedSubscriptionRequest | ( | const Crt::JsonView & | doc | ) |

## Member Function Documentation

## ◆ operator=()

NamedShadowDeltaUpdatedSubscriptionRequest & Aws::Iotshadow::NamedShadowDeltaUpdatedSubscriptionRequest::operator= | ( | const Crt::JsonView & | doc | ) |

## ◆ SerializeToObject()

void Aws::Iotshadow::NamedShadowDeltaUpdatedSubscriptionRequest::SerializeToObject | ( | Crt::JsonObject & | doc | ) | const

## Member Data Documentation

## ◆ ShadowName

Aws::Crt::Optional<Aws::Crt::String> Aws::Iotshadow::NamedShadowDeltaUpdatedSubscriptionRequest::ShadowName

Name of the shadow to get ShadowDelta events for.

## ◆ ThingName

Aws::Crt::Optional<Aws::Crt::String> Aws::Iotshadow::NamedShadowDeltaUpdatedSubscriptionRequest::ThingName

Name of the AWS IoT thing to get NamedShadowDelta events for.

The documentation for this class was generated from the following files:

- shadow/include/aws/iotshadow/NamedShadowDeltaUpdatedSubscriptionRequest.h
- shadow/source/NamedShadowDeltaUpdatedSubscriptionRequest.cpp